Imports EgtWPFLib5
Imports EgtUILib

Public Class BTLDataWndVM
   Inherits VMBase

#Region "Messages"

   Public ReadOnly Property PROJNUM_MSG As String
      Get
         Return EgtMsg(61692)
      End Get
   End Property

   Public ReadOnly Property PROJNAME_MSG As String
      Get
         Return EgtMsg(61693)
      End Get
   End Property

   Public ReadOnly Property PROJPART_MSG As String
      Get
         Return EgtMsg(61694)
      End Get
   End Property

   Public ReadOnly Property PROJGUID_MSG As String
      Get
         Return EgtMsg(61695)
      End Get
   End Property

   Public ReadOnly Property LISTNAME_MSG As String
      Get
         Return EgtMsg(61696)
      End Get
   End Property

   Public ReadOnly Property CUSTOMER_MSG As String
      Get
         Return EgtMsg(61697)
      End Get
   End Property

   Public ReadOnly Property ARCHITECT_MSG As String
      Get
         Return EgtMsg(61698)
      End Get
   End Property

   Public ReadOnly Property EDITOR_MSG As String
      Get
         Return EgtMsg(61699)
      End Get
   End Property

   Public ReadOnly Property DELIVDATE_MSG As String
      Get
         Return EgtMsg(61700)
      End Get
   End Property

   Public ReadOnly Property EXPDATE_MSG As String
      Get
         Return EgtMsg(61701)
      End Get
   End Property

   Public ReadOnly Property EXPTIME_MSG As String
      Get
         Return EgtMsg(61702)
      End Get
   End Property

   Public ReadOnly Property EXPRELEASE_MSG As String
      Get
         Return EgtMsg(61703)
      End Get
   End Property

   Public ReadOnly Property LANGUAGE_MSG As String
      Get
         Return EgtMsg(61704)
      End Get
   End Property

   Public ReadOnly Property RANGE_MSG As String
      Get
         Return EgtMsg(61705)
      End Get
   End Property

   Public ReadOnly Property PROCESSINGQUALITY_MSG As String
      Get
         Return EgtMsg(61642)
      End Get
   End Property

   Public ReadOnly Property COMPUTERNAME_MSG As String
      Get
         Return EgtMsg(61706)
      End Get
   End Property

   Public ReadOnly Property USER_MSG As String
      Get
         Return EgtMsg(61707)
      End Get
   End Property

   Public ReadOnly Property SRCFILE_MSG As String
      Get
         Return EgtMsg(61708)
      End Get
   End Property

   Public ReadOnly Property EXPFILE_MSG As String
      Get
         Return EgtMsg(61709)
      End Get
   End Property

   Public ReadOnly Property RECESS_MSG As String
      Get
         Return EgtMsg(61643)
      End Get
   End Property

   Public ReadOnly Property USERATTRIBUTE_MSG As String
      Get
         Return EgtMsg(61648)
      End Get
   End Property

#End Region    ' Messages

#Region "FIELDS & PROPERTIES"

   Friend Event m_CloseWindow(bDialogResult As Boolean)

   ' Definizione comandi
   Private m_cmdOk As ICommand

#End Region    ' FIELDS & PROPERTIES

#Region "CONSTRUCTOR"

   Sub New()

   End Sub

#End Region    ' CONSTRUCTOR

#Region "COMMANDS"

#Region "Ok"

   Public ReadOnly Property Ok_Command As ICommand
      Get
         If m_cmdOk Is Nothing Then
            m_cmdOk = New Command(AddressOf Ok)
         End If
         Return m_cmdOk
      End Get
   End Property

   Public Sub Ok()
      ''verifico che tutti i campi contengano un valore valido
      'If Not IsNothing(m_dL) AndAlso m_dL > 0 AndAlso
      '   Not IsNothing(m_dW) AndAlso m_dW >= 0 AndAlso
      '   Not IsNothing(m_dH) AndAlso m_dH >= 0 Then
      RaiseEvent m_CloseWindow(True)
      'Else
      '   MessageBox.Show("Errore! Impossibile creare una feature con questi parametri", "Errore")
      'End If
   End Sub

#End Region ' Ok

#End Region    ' COMMANDS

End Class
